Index: /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 1377)
@@ -44,6 +44,4 @@
     private ResponseList<ClientInfo> clientInfo = null;
     private ResponseList<Job> jobs = null;
-    private ResponseList<UserGroup> userGroups = null;
-    private ResponseList<User> usersList = null;
 
     private Dictionary<long, ListViewGroup> clientObjects;
@@ -55,5 +53,4 @@
     private Job currentJob = null;
     private ClientInfo currentClient = null;
-    private User currentUser = null;
     private string nameCurrentJob = "";
     private string nameCurrentClient = "";
@@ -70,5 +67,4 @@
       AddClients();
       AddJobs();
-      AddUsers();
       timerSyncronize.Start();
     }
@@ -182,53 +178,4 @@
 
     /// <summary>
-    /// Adds users to ListView and TreeView
-    /// </summary>
-    private void AddUsers() {
-      try {
-        userGroupsObjects = new Dictionary<long, ListViewGroup>();
-        userListObjects = new Dictionary<long, ListViewItem>();
-        IUserRoleManager userRoleManager =
-          ServiceLocator.GetUserRoleManager();
-
-        userGroups = userRoleManager.GetAllUserGroups();
-
-        lvUserControl.Items.Clear();
-        tvUserControl.Nodes.Clear();
-
-        foreach (UserGroup ug in userGroups.List) {
-          tvUserControl.Nodes.Add(ug.Name);
-          ListViewGroup lvg = new ListViewGroup(ug.Name, HorizontalAlignment.Left);
-
-          foreach (PermissionOwner permOwner in ug.Members) {
-            if (permOwner is User) {
-              User users = permOwner as User;
-              tvUserControl.Nodes[tvUserControl.Nodes.Count - 1].Nodes.Add(users.Name);
-              ListViewItem item = new ListViewItem(users.Name, 0, lvg);
-              lvUserControl.Items.Add(item);
-              userListObjects.Add(users.Id, item);
-            }
-          }
-          lvUserControl.Groups.Add(lvg);
-          userGroupsObjects.Add(ug.Id, lvg);
-
-        } // Users
-        usersList = userRoleManager.GetAllUsers();
-        ListViewGroup lvunsorted = new ListViewGroup("unsorted", HorizontalAlignment.Left);
-        foreach (User u in usersList.List) {
-          tvUserControl.Nodes.Add(u.Name);
-          lvUserControl.Items.Add(new ListViewItem(u.Name, 0, lvunsorted));
-        }
-        lvUserControl.Groups.Add(lvunsorted);
-        if (flagUser) {
-          UserClicked();
-        }
-      }
-      catch (Exception ex) {
-        closeFormEvent(true, true);
-        this.Close();
-      }
-    }
-
-    /// <summary>
     /// if one client is clicked, a panel is opened with the details
     /// </summary>
@@ -320,19 +267,4 @@
     }
 
-    /// <summary>
-    /// if one user is clicked, a panel is opened with the details
-    /// </summary>
-    private void UserClicked() {
-      int i = 0;
-      while (usersList.List[i].Name != nameCurrentUser) {
-        i++;
-      }
-      currentUser = usersList.List[i];
-      scUserControl.Panel2.Controls.Clear();
-      scUserControl.Panel2.Controls.Add(plUserDetails);
-      pbUserControl.Image = ilUserControl.Images[0];
-      lblUserName.Text = currentUser.Id.ToString();
-    }
-
     #region Eventhandlers
     /// <summary>
@@ -368,17 +300,4 @@
       AddClients();
       AddJobs();
-      AddUsers();
-    }
-
-    private void AddUser_Click(object sender, EventArgs e) {
-      AddUserForm newForm = new AddUserForm("User", false);
-      newForm.Show();
-      newForm.addUserEvent += new addDelegate(Refresh);
-    }
-
-    private void AddUserGroup_Click(object sender, EventArgs e) {
-      AddUserForm newForm = new AddUserForm("User", true);
-      newForm.Show();
-      newForm.addUserEvent += new addDelegate(Refresh);                                             
     }
 
@@ -419,26 +338,4 @@
 
     }
-
-    private void OnLVUserControlClicked(object sender, EventArgs e) {
-      nameCurrentUser = lvUserControl.SelectedItems[0].Text;
-      flagUser = true;
-      UserClicked();
-    }
-
-    private void OnTVUserControlClicked(object sender, TreeViewEventArgs e) {
-      bool usergroup = false;
-      foreach (UserGroup ug in userGroups.List) {
-        if (tvUserControl.SelectedNode.Text == ug.Name) {
-          usergroup = true;
-        }
-      }
-      if (usergroup == false) {
-        nameCurrentUser = tvUserControl.SelectedNode.Text;
-        flagUser = true;
-        UserClicked();
-      }
-
-    }
-
 
     private void btnClientClose_Click(object sender, EventArgs e) {
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/ServiceLocator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/ServiceLocator.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/ServiceLocator.cs	(revision 1377)
@@ -20,8 +20,4 @@
     internal static IJobManager GetJobManager() {
       return GetServerConsoleFacade() as IJobManager;
-    }
-
-    internal static IUserRoleManager GetUserRoleManager() {
-      return GetServerConsoleFacade() as IUserRoleManager;
     }
 
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/ClientCommunicator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/ClientCommunicator.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/ClientCommunicator.cs	(revision 1377)
@@ -28,5 +28,5 @@
 using HeuristicLab.Hive.Contracts;
 using HeuristicLab.Core;
-using HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess;
+using HeuristicLab.Hive.Server.DataAccess;
 using System.Resources;
 using System.Reflection;
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/ClientManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/ClientManager.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/ClientManager.cs	(revision 1377)
@@ -27,5 +27,5 @@
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 using HeuristicLab.Hive.Contracts;
-using HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess;
+using HeuristicLab.Hive.Server.DataAccess;
 
 namespace HeuristicLab.Hive.Server.Core {
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/DbTestApp.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/DbTestApp.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/DbTestApp.cs	(revision 1377)
@@ -27,7 +27,8 @@
 using HeuristicLab.Hive.Contracts;
 using HeuristicLab.Hive.Contracts.Interfaces;
-using HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess;
+using HeuristicLab.Hive.Server.DataAccess;
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 using System.Diagnostics;
+using HeuristicLab.DataAccess.Interfaces;
 
 namespace HeuristicLab.Hive.Server {
@@ -70,98 +71,4 @@
     }
 
-    private void TestUserAdapter() {
-      IUserAdapter userAdapter =
-        ServiceLocator.GetUserAdapter();
-
-      User user = new User();
-      user.Name = "TestDummy";
-
-      userAdapter.Update(user);
-
-      User userRead =
-        userAdapter.GetById(user.Id);
-      Debug.Assert(
-        userRead != null &&
-        user.Id == userRead.Id);
-
-      user.Password = "passme";
-      userAdapter.Update(user);
-      userRead =
-        userAdapter.GetByName(user.Name);
-      Debug.Assert(
-       userRead != null &&
-       userRead.Name == user.Name &&
-       userRead.Password == user.Password);
-
-      ICollection<User> users = 
-       userAdapter.GetAll();
-      int count = users.Count;
-
-      userAdapter.Delete(user);
-
-      users = userAdapter.GetAll();
-      Debug.Assert(count - 1 == users.Count);
-    }
-
-    private void TestUserGroupAdapter() {
-      IUserGroupAdapter userGroupAdapter =
-       ServiceLocator.GetUserGroupAdapter();
-
-      User user =
-        new User();
-      user.Name = "Stefan";
-
-      User user2 =
-        new User();
-      user2.Name = "Martin";
-
-      User user3 =
-        new User();
-      user3.Name = "Heinz";
-
-      UserGroup group =
-        new UserGroup();
-
-      UserGroup subGroup =
-        new UserGroup();
-      subGroup.Members.Add(user);
-
-      group.Members.Add(user3);
-      group.Members.Add(user2);
-      group.Members.Add(subGroup);
-
-      userGroupAdapter.Update(group);
-
-      UserGroup read =
-        userGroupAdapter.GetById(group.Id);
-
-      ICollection<UserGroup> userGroups =
-        userGroupAdapter.GetAll();
-
-      IUserAdapter userAdapter =
-        ServiceLocator.GetUserAdapter();
-
-      userAdapter.Delete(user3);
-      
-      read =
-         userGroupAdapter.GetById(group.Id);
-
-      userGroupAdapter.Delete(subGroup);
-
-      read =
-         userGroupAdapter.GetById(group.Id);
-
-      userGroups =
-        userGroupAdapter.GetAll();
-
-      userGroupAdapter.Delete(group);
-
-      userGroups =
-        userGroupAdapter.GetAll();
-
-      userAdapter.Delete(user);
-      userAdapter.Delete(user2);
-    }
-
     private void TestClientGroupAdapter() {
       IClientGroupAdapter clientGroupAdapter =
@@ -301,16 +208,10 @@
 
     public override void Run() {
-      ITransactionManager transactionManager =
-        ServiceLocator.GetTransactionManager();
+      IDBSynchronizer transactionManager =
+        ServiceLocator.GetDBSynchronizer();
       
       TestClientAdapter();
       transactionManager.UpdateDB();
 
-      TestUserAdapter();
-      transactionManager.UpdateDB();
-
-      TestUserGroupAdapter();
-      transactionManager.UpdateDB();
-
       TestClientGroupAdapter();
       transactionManager.UpdateDB();   
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/HeuristicLab.Hive.Server.Core.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/HeuristicLab.Hive.Server.Core.csproj	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/HeuristicLab.Hive.Server.Core.csproj	(revision 1377)
@@ -73,13 +73,4 @@
     <Compile Include="HiveServerCorePlugin.cs" />
     <Compile Include="HiveServerMessages.Designer.cs" />
-    <Compile Include="InternalInterfaces\DataAccess\IClientAdapter.cs" />
-    <Compile Include="InternalInterfaces\DataAccess\IClientGroupAdapter.cs" />
-    <Compile Include="InternalInterfaces\DataAccess\IDataAdapter.cs" />
-    <Compile Include="InternalInterfaces\DataAccess\IJobAdapter.cs" />
-    <Compile Include="InternalInterfaces\DataAccess\IJobResultsAdapter.cs" />
-    <Compile Include="InternalInterfaces\DataAccess\IPermissionOwnerAdapter.cs" />
-    <Compile Include="InternalInterfaces\DataAccess\IResourceAdapter.cs" />
-    <Compile Include="InternalInterfaces\DataAccess\IUserAdapter.cs" />
-    <Compile Include="InternalInterfaces\DataAccess\IUserGroupAdapter.cs" />
     <Compile Include="InternalInterfaces\IInternalJobManager.cs" />
     <Compile Include="InternalInterfaces\IScheduler.cs" />
@@ -89,5 +80,4 @@
     <Compile Include="ServerConsoleFacade.cs" />
     <Compile Include="ServiceLocator.cs" />
-    <Compile Include="UserRoleManager.cs" />
   </ItemGroup>
   <ItemGroup>
@@ -100,4 +90,8 @@
       <Name>HeuristicLab.Core</Name>
     </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.DataAccess\HeuristicLab.DataAccess.csproj">
+      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
+      <Name>HeuristicLab.DataAccess</Name>
+    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.Hive.Contracts\HeuristicLab.Hive.Contracts.csproj">
       <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
@@ -107,4 +101,8 @@
       <Project>{21187322-52DD-4243-80A4-A85F0263E63B}</Project>
       <Name>HeuristicLab.Hive.JobBase</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.Hive.Server.DataAccess\HeuristicLab.Hive.Server.DataAccess.csproj">
+      <Project>{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}</Project>
+      <Name>HeuristicLab.Hive.Server.DataAccess</Name>
     </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/JobManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/JobManager.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/JobManager.cs	(revision 1377)
@@ -27,5 +27,5 @@
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 using HeuristicLab.Hive.Contracts;
-using HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess;
+using HeuristicLab.Hive.Server.DataAccess;
 using HeuristicLab.Hive.Server.Core.InternalInterfaces;
 
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/LifecycleManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/LifecycleManager.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/LifecycleManager.cs	(revision 1377)
@@ -25,6 +25,7 @@
 using System.Text;
 using HeuristicLab.Hive.Contracts.Interfaces;
-using HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess;
+using HeuristicLab.Hive.Server.DataAccess;
 using System.Timers;
+using HeuristicLab.DataAccess.Interfaces;
 
 namespace HeuristicLab.Hive.Server.Core {
@@ -64,10 +65,10 @@
     }
 
-    public ITransactionManager GetTransactionManager() {
-      return ServiceLocator.GetTransactionManager();
+    public IDBSynchronizer GetDBSynchronizer() {
+      return ServiceLocator.GetDBSynchronizer();
     }
 
     public void Shutdown() {
-      ServiceLocator.GetTransactionManager().UpdateDB();
+      ServiceLocator.GetDBSynchronizer().UpdateDB();
 
       if (OnShutdown != null)
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/ServerConsoleFacade.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/ServerConsoleFacade.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/ServerConsoleFacade.cs	(revision 1377)
@@ -35,7 +35,4 @@
     private IJobManager jobManager = 
       ServiceLocator.GetJobManager();
-
-    private IUserRoleManager userRoleManager = 
-      ServiceLocator.GetUserRoleManager();
 
     private String loginName = null;
@@ -103,45 +100,4 @@
 
     #endregion
-
-    #region IUserRoleManager Members
-
-    public ResponseList<HeuristicLab.Hive.Contracts.BusinessObjects.User> GetAllUsers() {
-      return userRoleManager.GetAllUsers();
-    }
-
-    public ResponseObject<User> AddNewUser(User user) {
-      return userRoleManager.AddNewUser(user);
-    }
-
-    public ResponseList<UserGroup> GetAllUserGroups() {
-      return userRoleManager.GetAllUserGroups();
-    }
-
-    public Response RemoveUser(long userId) {
-      return userRoleManager.RemoveUser(userId);
-    }
-
-    public ResponseObject<UserGroup> AddNewUserGroup(UserGroup userGroup) {
-      return userRoleManager.AddNewUserGroup(userGroup);
-    }
-
-    public Response RemoveUserGroup(long groupId) {
-      return userRoleManager.RemoveUserGroup(groupId);
-    }
-
-    public Response AddUserToGroup(long groupId, long userId) {
-      return userRoleManager.AddUserToGroup(groupId, userId);
-    }
-
-    public Response AddUserGroupToGroup(long groupId, long groupToAddId) {
-      return userRoleManager.AddUserGroupToGroup(groupId, groupToAddId);
-    }
-
-    public Response RemovePermissionOwnerFromGroup(long groupId, long userId) {
-      return userRoleManager.RemovePermissionOwnerFromGroup(groupId, userId);
-    }
-
-    #endregion
-
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/ServiceLocator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/ServiceLocator.cs	(revision 1376)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/ServiceLocator.cs	(revision 1377)
@@ -20,5 +20,5 @@
 #endregion
 
-using HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess;
+using HeuristicLab.Hive.Server.DataAccess;
 using HeuristicLab.PluginInfrastructure;
 using System.Runtime.CompilerServices;
@@ -26,4 +26,5 @@
 using HeuristicLab.Hive.Server.Core;
 using HeuristicLab.Hive.Server.Core.InternalInterfaces;
+using HeuristicLab.DataAccess.Interfaces;
 
 /// <summary>
@@ -34,11 +35,9 @@
     new DiscoveryService();
 
-  private static ITransactionManager transManager = null;
+  private static IDBSynchronizer transManager = null;
 
   private static IClientManager clientManager = null;
 
   private static IJobManager jobManager = null;
-
-  private static IUserRoleManager userRoleManager = null;
 
   private static IClientCommunicator clientCommunicator = null;
@@ -51,10 +50,4 @@
 
   private static IResourceAdapter resourceAdapter = null;
-
-  private static IUserAdapter userAdapter = null;
-
-  private static IUserGroupAdapter userGroupAdapter = null;
-
-  private static IPermissionOwnerAdapter permOwnerAdapter = null;
 
   private static IJobAdapter jobAdapter = null;
@@ -70,7 +63,7 @@
   /// <returns></returns>
   [MethodImpl(MethodImplOptions.Synchronized)]
-  public static ITransactionManager GetTransactionManager() {
+  public static IDBSynchronizer GetDBSynchronizer() {
     if (transManager == null) {
-      transManager = discoveryService.GetInstances<ITransactionManager>()[0];
+      transManager = discoveryService.GetInstances<IDBSynchronizer>()[0];
     }
 
@@ -100,16 +93,4 @@
 
     return jobManager;
-  }
-
-  /// <summary>
-  /// Gets the user role manager
-  /// </summary>
-  /// <returns></returns>
-  [MethodImpl(MethodImplOptions.Synchronized)]
-  public static IUserRoleManager GetUserRoleManager() {
-    if (userRoleManager == null)
-      userRoleManager = new UserRoleManager();
-
-    return userRoleManager;
   }
 
@@ -179,43 +160,4 @@
 
   /// <summary>
-  /// Gets the user database adapter
-  /// </summary>
-  /// <returns></returns>
-  [MethodImpl(MethodImplOptions.Synchronized)]
-  public static IUserAdapter GetUserAdapter() {
-    if (userAdapter == null) {
-      userAdapter = discoveryService.GetInstances<IUserAdapter>()[0];
-    }
-
-    return userAdapter;
-  }
-
-  /// <summary>
-  /// Gets the user group database adapter
-  /// </summary>
-  /// <returns></returns>
-  [MethodImpl(MethodImplOptions.Synchronized)]
-  public static IUserGroupAdapter GetUserGroupAdapter() {
-    if (userGroupAdapter == null) {
-      userGroupAdapter = discoveryService.GetInstances<IUserGroupAdapter>()[0];
-    }
-
-    return userGroupAdapter;
-  }
-
-  /// <summary>
-  /// Gets the permission owner database adapter
-  /// </summary>
-  /// <returns></returns>
-  [MethodImpl(MethodImplOptions.Synchronized)]
-  public static IPermissionOwnerAdapter GetPermissionOwnerAdapter() {
-    if (permOwnerAdapter == null) {
-      permOwnerAdapter = discoveryService.GetInstances<IPermissionOwnerAdapter>()[0];
-    }
-
-    return permOwnerAdapter;
-  }
-
-  /// <summary>
   /// Gets the job database adapter
   /// </summary>
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/HeuristicLab.Hive.Server.DataAccess.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/HeuristicLab.Hive.Server.DataAccess.csproj	(revision 1377)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/HeuristicLab.Hive.Server.DataAccess.csproj	(revision 1377)
@@ -0,0 +1,79 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>9.0.30729</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Hive.Server.DataAccess</RootNamespace>
+    <AssemblyName>HeuristicLab.Hive.Server.DataAccess-3.2</AssemblyName>
+    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <StartupObject>
+    </StartupObject>
+    <SignAssembly>true</SignAssembly>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+  <ItemGroup>
+    <Compile Include="HiveServerDataAccessPlugin.cs" />
+    <Compile Include="IClientAdapter.cs" />
+    <Compile Include="IClientGroupAdapter.cs" />
+    <Compile Include="IJobAdapter.cs" />
+    <Compile Include="IJobResultsAdapter.cs" />
+    <Compile Include="IResourceAdapter.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\HeuristicLab.DataAccess\HeuristicLab.DataAccess.csproj">
+      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
+      <Name>HeuristicLab.DataAccess</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.Hive.Contracts\HeuristicLab.Hive.Contracts.csproj">
+      <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
+      <Name>HeuristicLab.Hive.Contracts</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
+      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
+      <Name>HeuristicLab.PluginInfrastructure</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
+  </PropertyGroup>
+  <ItemGroup>
+    <None Include="HeuristicLab.snk" />
+    <None Include="Properties\AssemblyInfo.frame" />
+  </ItemGroup>
+</Project>
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/HiveServerDataAccessPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/HiveServerDataAccessPlugin.cs	(revision 1377)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/HiveServerDataAccessPlugin.cs	(revision 1377)
@@ -0,0 +1,34 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.DataAccess {
+  [ClassInfo(Name = "HeuristicLab.Hive.Server.DataAccess-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Hive.Server.DataAccess-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Hive.Contracts-3.2")]
+  public class HiveServerDataAccessPlugin : PluginBase {
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/IClientAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/IClientAdapter.cs	(revision 1377)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/IClientAdapter.cs	(revision 1377)
@@ -0,0 +1,47 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+using HeuristicLab.DataAccess.Interfaces;
+
+namespace HeuristicLab.Hive.Server.DataAccess {
+  /// <summary>
+  /// The client database adapter
+  /// </summary>
+  public interface IClientAdapter : IDataAdapter<ClientInfo> {
+    /// <summary>
+    /// Get the client with the specified name
+    /// </summary>
+    /// <param name="clientId"></param>
+    /// <returns></returns>
+    ClientInfo GetByName(string name);
+
+    /// <summary>
+    /// Get the client with the specified id
+    /// </summary>
+    /// <param name="clientId"></param>
+    /// <returns></returns>
+    ClientInfo GetById(Guid id);
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/IClientGroupAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/IClientGroupAdapter.cs	(revision 1377)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/IClientGroupAdapter.cs	(revision 1377)
@@ -0,0 +1,47 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+using HeuristicLab.DataAccess.Interfaces;
+
+namespace HeuristicLab.Hive.Server.DataAccess {
+  /// <summary>
+  /// The client group database adapter
+  /// </summary>
+  public interface IClientGroupAdapter: IDataAdapter<ClientGroup> {
+    /// <summary>
+    /// Get the client group with the specified name
+    /// </summary>
+    /// <param name="clientId"></param>
+    /// <returns></returns>
+    ClientGroup GetByName(string name);
+
+    /// <summary>
+    /// Gets all client groups where the resource is member of
+    /// </summary>
+    /// <param name="permOwner"></param>
+    /// <returns></returns>
+    ICollection<ClientGroup> MemberOf(Resource resource);
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/IJobAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/IJobAdapter.cs	(revision 1377)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/IJobAdapter.cs	(revision 1377)
@@ -0,0 +1,63 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+using HeuristicLab.DataAccess.Interfaces;
+
+namespace HeuristicLab.Hive.Server.DataAccess {
+  public interface IJobAdapter: IDataAdapter<Job> {
+    /// <summary>
+    /// Gets all subjobs of the specified job
+    /// </summary>
+    /// <returns></returns>
+    ICollection<Job> GetAllSubjobs(Job job);
+
+    /// <summary>
+    /// Gets all Jobs with the specified state
+    /// </summary>
+    /// <returns></returns>
+    ICollection<Job> GetJobsByState(State state);
+
+    /// <summary>
+    /// Gets all jobs of the client
+    /// </summary>
+    /// <param name="client"></param>
+    /// <returns></returns>
+    ICollection<Job> GetJobsOf(ClientInfo client);
+
+    /// <summary>
+    /// Gets all active jobs of the client
+    /// </summary>
+    /// <param name="client"></param>
+    /// <returns></returns>
+    ICollection<Job> GetActiveJobsOf(ClientInfo client);
+
+    /// <summary>
+    /// Gets all jobs of the user
+    /// </summary>
+    /// <param name="user"></param>
+    /// <returns></returns>
+    ICollection<Job> GetJobsOf(Guid userId);
+  }
+}
